%global srcname sphinx-math-dollar

Name:           python-%{srcname}
Version:        1.2.1
Release:        %mkrel 2
Summary:        Sphinx extension to enable LaTeX math with $$
Group:          Development/Python

License:        MIT
URL:            https://www.sympy.org/%{srcname}/
Source0:        https://github.com/sympy/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-pytest-doctestplus
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-testing

%global _desc %{expand:
sphinx-math-dollar is a Sphinx extension to let you write LaTeX math
using $$.}

%description %_desc

%package     -n python3-%{srcname}
Summary:        Sphinx extension to enable LaTeX math with $$

%description -n python3-%{srcname} %_desc

%package        doc
Summary:        Documentation for %{srcname}

%description    doc
Documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# Build the documentation
make -C docs html
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html
rst2html --no-datestamp README.rst README.html
rm -f docs/_build/html/.{buildinfo,nojekyll}

%install
%pyproject_install
%pyproject_save_files sphinx_math_dollar

%check
pytest

%files       -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.html README.html
%license LICENSE


%files          doc
%doc docs/_build/html
%license LICENSE


%changelog
* Fri Feb 23 2024 papoteur <papoteur> 1.2.1-2.mga10
+ Revision: 2043546
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 1.2.1-1.mga9
+ Revision: 1885686
- New version  1.2.1

* Tue Mar 29 2022 umeabot <umeabot> 1.2-3.mga9
+ Revision: 1833274
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 mrambo3501 <mrambo3501> 1.2-2.mga9
+ Revision: 1775142
- rebuild for python-3.10

* Sun Apr 04 2021 joequant <joequant> 1.2-1.mga9
+ Revision: 1713278
- fix build requires
- imported package python-sphinx-math-dollar

